~alpine/devel

[alpine-devel] [PATCH] testing/libmatekbd: new aport

Alan Lacerda
Details
Message ID
<1418654835-2154-1-git-send-email-alacerda@alpinelinux.org>
Sender timestamp
1418654835
DKIM signature
missing
Download raw message
Patch: +43 -0
---
 testing/libmatekbd/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/libmatekbd/APKBUILD

diff --git a/testing/libmatekbd/APKBUILD b/testing/libmatekbd/APKBUILD
new file mode 100644
index 0000000..9ac4ba2
--- /dev/null
+++ b/testing/libmatekbd/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=libmatekbd
+pkgver=1.9.1
+pkgrel=0
+pkgdesc="MATE keyboard library"
+url="https://github.com/mate-desktop/libmatekbd"
+arch="all"
+license="GPL2"
+depends="mate-common freetype"
+depends_dev=""
+makedepends="$depends_dev libxklavier-dev autoconf automake libtool intltool
+	glib-dev gtk+-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="49c69bffec1ebeb96d67b66e7aad22a6  libmatekbd-1.9.1.tar.xz"
+sha256sums="f6a4e70673c4701c70c7a9820649f9587cdb7633cf8e9152fc881d5ffe973497  libmatekbd-1.9.1.tar.xz"
+sha512sums="4d2bbd0f809bc1224c537a2f8ea7f78e193498266b7122fca49332e7fb59a0acbb13e1ae255c108279abe5df4336b084a4136fd58410a69c42b7b4a87b1862e6  libmatekbd-1.9.1.tar.xz"
-- 
2.1.3



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---